import 'package:andesgroup_common/common.dart';
import 'package:flutter/material.dart';

/// actions: a builder with dismiss callback to dismiss the dialog
Future<T?> showAlertDialog<T>(
  BuildContext context, {
  String? title,
  String? content,
  VoidCallback? onClose,
  VoidCallback? onOk,
  String titleClose = 'Close',
  String titleOk = 'Ok',
  bool barrierDismissible = true,
  bool useRootNavigator = false,
}) {
  return showDialog<T>(
    context: context,
    barrierDismissible: barrierDismissible,
    useRootNavigator: useRootNavigator,
    builder: (context) {
      return AlertDialog(
        title: title != null ? Text(title) : null,
        content: content != null ? Text(content) : null,
        actions: [
          ElevatedButton(
              onPressed: () {
                pop(context);
                onClose?.call();
              },
              child: Text(titleClose)),
          if (onOk != null)
            ElevatedButton(
                onPressed: () {
                  pop(context);
                  onOk();
                },
                child: Text(titleOk)),
        ],
      );
    },
  );
}
